﻿Imports TechNote55_SmartIO_Output_VB.My.Resources

' <summary>        
' SmartI/O FET(TROUT0~4) / Relay 테스트
' SmartX : SmartGPIO
' 기능 : 외부전원으로 구동하는 장비연동시 온/오프 조작
' 응용분야 : 외부 AC/DC전원의 스위치용도
' 항목 : FET - DC할로겐램프(12V10W)
'            - 냉온소자(FALC1-00705T150)
'            - DC모터
'        Relay S/W - AC할로겐램프(220V,50W)
' </summary>

Public Class Form1

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        ' 현재 Form을 MainForm으로 설정합니다.
        SmartForm1.MainForm = Me

        ' GPIO Port를 A로 설정
        SmartGPIO1.PortSelect = SmartX.SmartGPIO.PORTID.PORTA
        ' PortA의 방향을 ALL OUTPUT으로 설정
        SmartGPIO1.PortDirs = 255
        ' PortA의 상태를 ALL Low로 설정
        SmartGPIO1.PortDatas = 0

        ' 이미지를 SmartPictureBox의 ImageList에 저장
        pbDCLamp.AddImageList(Resource1.Lamp_0)
        pbDCLamp.AddImageList(Resource1.Lamp_1)
        pbDCLamp.DrawNext(0)

        pbColdHot.AddImageList(Resource1.ColdHot_0)
        pbColdHot.AddImageList(Resource1.ColdHot_1)
        pbColdHot.DrawNext(0)

        pbDCMortor.AddImageList(Resource1.Motor_0)
        pbDCMortor.AddImageList(Resource1.Motor_1)
        pbDCMortor.DrawNext(0)

        pbACLamp.AddImageList(Resource1.Lamp_0)
        pbACLamp.AddImageList(Resource1.Lamp_1)
        pbACLamp.DrawNext(0)
    End Sub

    ' <summary>
    ' FET(TROUT1~4) Control - (PORTA 0~3)
    ' </summary>

    ' FET(TROUT1) DC할로겐램프 ON/OFF 제어
    Private Sub btnDCLampCtrl_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnDCLampCtrl.Click
        If btnDCLampCtrl.ButtonStatus = SmartX.SmartButton.BUTSTATUS.DOWN Then
            ' DC 할로겐램프 ON
            SmartGPIO1.Data0 = SmartX.SmartGPIO.PinStatus.High
            pbDCLamp.DrawNext(1)
        Else
            ' DC 할로겐램프 OFF
            SmartGPIO1.Data0 = SmartX.SmartGPIO.PinStatus.Low
            pbDCLamp.DrawNext(0)
        End If
    End Sub

    ' FET(TROUT2) 냉온소자 ON/OFF 제어
    Private Sub btnColdHotCtrl_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnColdHotCtrl.Click
        If btnColdHotCtrl.ButtonStatus = SmartX.SmartButton.BUTSTATUS.DOWN Then
            ' 냉온소자 ON
            SmartGPIO1.Data1 = SmartX.SmartGPIO.PinStatus.High
            pbColdHot.DrawNext(1)
        Else
            ' 냉온소자 OFF
            SmartGPIO1.Data1 = SmartX.SmartGPIO.PinStatus.Low
            pbColdHot.DrawNext(0)
        End If
    End Sub

    ' FET(TROUT3) DC모터 ON/OFF 제어
    Private Sub btnDCMortorCtrl_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnDCMortorCtrl.Click
        If btnDCMortorCtrl.ButtonStatus = SmartX.SmartButton.BUTSTATUS.DOWN Then
            ' DC모터 ON
            SmartGPIO1.Data2 = SmartX.SmartGPIO.PinStatus.High
            pbDCMortor.IncrementType = SmartX.SmartPictureBox.IncrementTypes.RingCount
            pbDCMortor.Play()
        Else
            ' DC모터 OFF
            SmartGPIO1.Data2 = SmartX.SmartGPIO.PinStatus.Low
            pbDCMortor.Stop()
        End If
    End Sub


    ' <summary>
    ' Relay S/W(RY_SW1~4) Control - (PORTA 7~4)
    ' </summary>

    ' Relay S/W AC할로겐램프 ON/OFF 제어
    Private Sub btnACLampCtrl_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnACLampCtrl.Click
        If btnACLampCtrl.ButtonStatus = SmartX.SmartButton.BUTSTATUS.DOWN Then
            ' AC 할로겐램프 ON
            SmartGPIO1.Data4 = SmartX.SmartGPIO.PinStatus.High
            pbACLamp.DrawNext(1)
        Else
            ' AC할로겐램프 OFF
            SmartGPIO1.Data4 = SmartX.SmartGPIO.PinStatus.Low
            pbACLamp.DrawNext(0)
        End If
    End Sub
End Class
